/*
stattest - tests for randomness
Copyright (C) 2003  Roland Siegert, Andreas Stricker

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
*/

/** \file
 * \brief Module histogram: Build histogram of the buffer
 *
 * Build a histogram of the buffer. One unit is a block.
 *
 * \author Andreas Stricker
 * \author Roland Siegert
 * \version $Id: histogram.h,v 1.2 2003/05/15 07:54:54 stricand Exp $
 */
 
#ifndef HISTOGRAM_H_9CC3
#define HISTOGRAM_H_9CC3

#include "stattest.h"

#define HISTOGRAM_BAR_CHAR "#"
#define HISTOGRAM_WIDTH 66

typedef unsigned long histogram_t[BLOCK_RANGE];	// histogram

/** Build a histogram from the buffer.
 * Note: if parameter histogram points to NULL then new memory is allocated.
 */
histogram_t *build_histogram(
	buffer_t buffer,
	size_t bufsize,
	histogram_t *histogram
);

/** Print histogram to screen
 */
void print_histogram(histogram_t histogram);

#endif
